package org.netkernel.rdbms.endpoint;

import org.netkernel.layer0.nkf.INKFRequestContext;
import org.netkernel.layer0.util.XMLUtils;
import org.w3c.dom.Document;

public class SQLEscapeDOMAccessor extends AbstractEscapeAccessor
{

	public SQLEscapeDOMAccessor()
	{	this.declareThreadSafe();
	}

	@Override
	public void onSource(INKFRequestContext context) throws Exception
	{	Document d=context.source("arg:operand", Document.class);
		// Make a mutable clone
		d=(Document) XMLUtils.safeDeepClone(d);
		recurseEscapeDOM(d);
		context.createResponseFrom(d);
	}
}
