package org.netkernel.rdbms.endpoint;

import org.netkernel.layer0.nkf.INKFRequestContext;
import org.netkernel.layer0.representation.IHDSNode;
import org.netkernel.layer0.representation.impl.HDSBuilder;

public class SQLEscapeHDSAccessor extends AbstractEscapeAccessor
{

	public SQLEscapeHDSAccessor()
	{	this.declareThreadSafe();
	}

	public void onSource(INKFRequestContext context) throws Exception
	{	IHDSNode n=context.source("arg:operand", IHDSNode.class);
		HDSBuilder b=new HDSBuilder();
		recurseEscapeHDS(b, n);
		context.createResponseFrom(b.getRoot());
	}
}
